Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add feature flag to not install the latest version of pip #7522

Merged
merged 1 commit into from Oct 26, 2020

Conversation

stsewd
Copy link
Member

@stsewd stsewd commented Sep 30, 2020

Just in case the new version of pip breaks too many projects,
we can downgrade easily.

Just in case the new version of pip breaks too many projects,
we can downgrade easily.
@@ -1581,6 +1581,7 @@ def add_features(sender, **kwargs):
INDEX_FROM_HTML_FILES = 'index_from_html_files'
DONT_CREATE_INDEX = 'dont_create_index'
USE_NEW_PIP_RESOLVER = 'use_new_pip_resolver'
DONT_INSTALL_LATEST_PIP = 'dont_install_latest_pip'
Copy link
Member

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Instead of _LATEST in the name, I'd use one that communicates the resolver. Like, DONT_USE_NEW_PIP_RESOLVER that follow the same pattern than the above feature flag.

Copy link
Member Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

This is so we can re-use this in the future

Copy link
Member

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Makes sense to me. I know this code will eventually be stale, but the name isn't a huge issue, and the comment in the code makes it clear for now at least.

@stsewd stsewd requested a review from a team October 6, 2020 16:02
Copy link
Member

@ericholscher ericholscher left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

This seems useful to have for the pip release, so I'm 👍 on shipping to have a quick way to avoid breakage if needed.

@@ -1581,6 +1581,7 @@ def add_features(sender, **kwargs):
INDEX_FROM_HTML_FILES = 'index_from_html_files'
DONT_CREATE_INDEX = 'dont_create_index'
USE_NEW_PIP_RESOLVER = 'use_new_pip_resolver'
DONT_INSTALL_LATEST_PIP = 'dont_install_latest_pip'
Copy link
Member

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Makes sense to me. I know this code will eventually be stale, but the name isn't a huge issue, and the comment in the code makes it clear for now at least.

@stsewd stsewd merged commit 46edc45 into master Oct 26, 2020
2 checks passed
@stsewd stsewd deleted the dont-install-latest-pip branch October 26, 2020 17:24
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants